.form {
    .form-row {
        width: 100%;
        display: flex;
        align-items: center;
        & > * {
            width: 50%;
            padding-left: 10px;
            padding-right: 10px;
        }

        & > div:first-child {
            padding-left: 0;
        }

        & > div:last-child {
            padding-right: 0;
        }
    }

    .form-group {
        margin-bottom: 20px;
        label {
            margin-bottom: 8px;
        }
    }

    .form-control {
        background-color: #e7e7e7;
        border-radius: 3px;
        padding: 10px 20px;
    }

    select {
        appearance: none;
        padding-right: 17px;
        background: url(/icons/arrow_down.svg) calc(100% - 7px) center/10px 5px no-repeat;
    }
}

.form-search {
    .form-control {
        background-color: #ffffff;
        border-radius: 0 !important;
        border: 0;
        border-bottom: 1px solid #c4c4c4;
        padding: 0;
    }
    select.form-control {
        padding-right: 20px;
    }
    .follower {
        width: calc(100% / 3);
    }

    .btn-action {
        margin-top: 30px;
        display: flex;
        width: calc(100% * 2 / 3);

        .btn-search::before,
        .btn-reset::before,
        .btn-excel::before {
            content: "";
            display: inline-block;
            width: 1.5rem;
            margin-right: 4px;
            height: 1.5rem;
            background-size: contain;
            background-position: center;
            background-repeat: no-repeat;
            margin-bottom: -2px;
        }

        .btn-reset {
            margin-left: 8px;
            margin-right: 8px;
        }

        .btn-search {
            background-color: #18a0fb;
            margin-left: auto;
            color: #ffffff;
        }

        .btn-search::before {
            background-image: url(/icons/search.svg);
        }

        .btn-reset::before {
            background-image: url(/icons/undo.svg);
        }

        .btn-excel::before {
            background-image: url(/icons/download.svg);
        }
    }

    .form-row-end {
        .form-group {
            margin-bottom: 0;
        }
    }

    & > form > .form-row {
        @media screen and (max-width: 1199px) {
            & > div:first-child {
                width: 40%;
            }
            & > div:last-child {
                width: 60%;
            }
        }

        @media screen and (max-width: 991px) {
            &.form-row-end {
                display: block;
                & > div {
                    width: 100%;
                    padding: 0;
                    &.follower-action > div {
                        margin-top: 30px;
                        width: 50%;
                        &.btn-action {
                            padding-top: 30px;
                        }
                    }
                }
            }
        }

        @media screen and (max-width: 767px) {
            .btn-action {
                width: 100% !important;
            }
        }

        @media screen and (max-width: 575px) {
            display: block;
            & > div {
                width: 100% !important;
            }
            .follower-action {
                display: block;
                & > div {
                    width: 100% !important;
                    .btn-excel {
                        margin-right: auto;
                    }
                    &.btn-action {
                        padding-top: 0 !important;
                    }
                }
            }
        }
    }
}

.btn-edit {
    display: inline-block;
    width: 20px;
    height: 30px;
}

.btn-edit::before {
    content: "";
    width: 20px;
    height: 30px;
    display: inline-block;
    margin-left: calc(100% - 20px);
    background: url(/icons/three-dots-vertical.svg) center/contain no-repeat;
}

details:focus,
details :focus {
    outline: none;
}

.modal {
    .row {
        display: flex;
        justify-content: space-between;
        margin: 0 auto;
        color: #000;
    }
    .avatar {
        width: 67px;
        height: 67px;
        border-radius: 50%;
        overflow: hidden;
        position: relative;
        margin-top: 10px;
        background-color: #e7e7e7;
        img {
            width: 100%;
            height: auto;
            object-fit: cover;
        }
        input {
            width: 100%;
            position: absolute;
            left: 0;
            bottom: 0;
            padding: calc(67px / 4) calc(67px / 2);
            cursor: pointer;
            opacity: 0;
        }
        &:hover {
            label {
                opacity: 1;
            }
        }
    }
    select.form-control {
        padding-right: 35px;
        background-position-x: calc(100% - 17px);
    }
    details {
        user-select: none;
        &:focus {
            outline: none;
        }
        summary {
            width: fit-content;
            position: relative;
            overflow: hidden;
            cursor: pointer;
            &::-webkit-details-marker {
                display: none;
            }
            span {
                text-decoration: underline;
            }
            &::after {
                content: "";
                display: inline-block;
                margin-left: 7px;
                width: 16px;
                background: url(/icons/chevron_double_down.svg) center/16px 16px no-repeat;
                height: 8px;
            }
        }
    }
    details[open] summary::after {
        background-image: url(/icons/chevron_double_up.svg);
    }
    .business-info {
        margin-bottom: 24px;
        margin-top: 10px;
    }
    h5 {
        font-weight: 700;
    }
    table {
        margin-top: 20px;
        box-shadow: 2px 2px 1px #00000015, -2px 0px 5px #00000015;
    }
    .registration {
        min-height: 90px;
        overflow-x: auto;
        display: flex;
    }
    .registration-item {
        width: 140px;
        min-width: 140px;
        height: 90px;
        min-height: 90px;
        background-color: #e4e4e4;
        margin-right: 10px;
        border-radius: 3px;
        position: relative;
        overflow: hidden;
        input {
            width: 100%;
            padding: 45px 70px;
            opacity: 0;
            position: absolute;
            top: 0;
            left: 0;
        }
    }
    .registration-close {
        width: 16px;
        height: 16px;
        position: absolute;
        background: url(/icons/time.svg) center / contain no-repeat;
        top: 10px;
        right: 10px;
        border: none;
    }
    #business-info {
        display: none;
        &.is-business {
            display: block;
        }
    }

    .btn-close::before {
        content: "";
        width: 16px;
        height: 16px;
        display: inline-block;
        margin-right: 4px;
        border-radius: 50%;
        background: url(/icons/close.svg) center/18px 18px no-repeat;
    }
    .btn-save::before {
        content: "";
        width: 16px;
        height: 16px;
        margin-top: 4px;
        display: inline-block;
        background: url(/icons/save.svg) center/18px 18px no-repeat;
    }
}

#validate-message {
    color: rgb(206, 25, 25);
    p {
        color: rgb(206, 25, 25);
    }
    p:last-child {
        margin-bottom: 20px;
    }
}

.recovery-psd {
    text-decoration: underline;
    color: #000000;
}
